#ifndef	DEF_GRID
#define	DEF_GRID

/* Grid.h
 * Defines the class Grid
 * A grid contains a table of cells the game will be set on
 * Creators : krilius, manzerbredes
 * Date : 29/04/2015 */

#include <iostream>
#include <vector>

#include "ModelConstants.hpp"
#include "Cell.hpp"

class Grid
{
	private:
        int m_size;
		std::vector<std::vector<Cell*> > m_table;
    
        void moveUp();
        void moveDown();
        void moveLeft();
        void moveRight();

	public:
		Grid(int size);
		~Grid();
		void show();
    
        bool isEmpty(int i, int j);
        bool gridIsFull();
        void setCell(int i, int j, Cell * cell);
    
        void move(Direction direction);
};


#endif
